iphdr Struct Reference

`#include <udp_layer.hh>`

## Public Attributes

u_int8_t | ihl:4
u_int8_t | version:4
u_int8_t | tos
u_int16_t | tot_len
u_int16_t | id
u_int16_t | frag_off
u_int8_t | ttl
u_int8_t | protocol
u_int16_t | check
struct in_addr | saddr
struct in_addr | daddr

## Member Data Documentation

## check

u_int16_t iphdr::check

## daddr

struct in_addr iphdr::daddr

## frag_off

u_int16_t iphdr::frag_off

## id

u_int16_t iphdr::id

## ihl

u_int8_t iphdr::ihl

## protocol

u_int8_t iphdr::protocol

## saddr

struct in_addr iphdr::saddr

## tos

u_int8_t iphdr::tos

## tot_len

u_int16_t iphdr::tot_len

## ttl

u_int8_t iphdr::ttl

## version

u_int8_t iphdr::version

The documentation for this struct was generated from the following file:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/udp_layer.hh